package cn.com.qmth.print.manage.config;

import cn.com.qmth.print.manage.controller.ExamController;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author: CaoZixuan
 * @Date:
 */
@Component
public class SysProperty {

    private String tempDataDir = initTempDataDir();

    public static String initTempDataDir(){
        ClassLoader classLoader = ExamController.class.getClassLoader();
        // 步骤 2：获取当前类的所在路径
        String path = classLoader.getResource("").getPath();
        // 步骤 3：定位到项目的根目录
        String rootPath = path.substring(0, path.indexOf("/target"));
        // 打印根目录路径
        return rootPath;
    }

    public String getTempDataDir() {
        return tempDataDir;
    }

    public void setTempDataDir(String tempDataDir) {
        this.tempDataDir = tempDataDir;
    }
}
